C ********************************************************************
C * BANDPLOT - Plotting and interpolation of energy bands            *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  BPSYML                                                          *
C *                                                                  *
C *  Routine of BANDPLOT                                             *
C *                                                                  *
C *  Usage......: Inquires length of symmetry lines.                 *
C *                                                                  *
C *  Author.....: Martin Braendle (mbs)                              *
C *  Available..: Calzaferri group c/o                               *
C *               Prof. Dr. Gion Calzaferri                          *
C *               Institute for anorg. + phys. Chemistry             *
C *               University of Berne                                *
C *               Freiestrasse 3                                     *
C *               CH-3012 Berne                                      *
C *                                                                  *
C *  Date.......: 18.11.94                                           *
C *  Revision...: 01.07.97/mbs                                       *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Called from: -                                                  *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************

      SUBROUTINE BPSYML(VPXSCT,VPXAXW,NSYM1)
C
C NAG/GKS version.
C
C      IMPLICIT DOUBLE PRECISION (A-H,O-Z)
C
C PGPLOT version.
C
      IMPLICIT REAL(A-H,O-Z)
      INCLUDE 'sizes'

      DIMENSION VPXSCL(MAXSYM),VPXSCT(MAXSYM+1)

      WRITE(6,'(/,'' Symmetry line lengths can be input as relative '',
     .      ''ratios.'')')
      SUM=0.0
      DO I=1,NSYM1
   10   WRITE(6,'('' Length of symmetry line '',I2,'': '',$)') I
        READ(5,'(F10.5)',ERR=10) VPXSCL(I)
        IF (VPXSCL(I) .LE. 0.0) GOTO 10
        SUM=SUM+VPXSCL(I)
      END DO
      FACTOR=VPXAXW/SUM
      VPXSCT(1)=0.0
      DO I=2,NSYM1+1
        VPXSCT(I)=VPXSCT(I-1)+VPXSCL(I-1)*FACTOR
      END DO
      RETURN
      END
