C ********************************************************************
C * CEDiT - Crystal Electronic Dipole-induced Transitions            *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  INCLUDEFILE DFNS                                                *
C *                                                                  *
C *  Routine of EDiT/CEDiT                                           *
C *  version for IBM-PC MS-DOS, Microsoft FORTRAN and                *
C *              IBM-RISC UNIX, AIX XL FORTRAN                       *
C *                                                                  *
C *  Usage......: Functions used to calculate <d|O|s>, <d|O|p>       *
C *               and <d|O|d> offdiagonal elements.                  *
C *                                                                  *
C *  Authors....: Ruedi Rytz                                         *
C *                                                                  *
C *  Available..: Calzaferri group c/o                               *
C *               Prof. Dr. Gion Calzaferri                          *
C *               Institute for anorg. + phys. Chemistry             *
C *               University of Berne                                *
C *               Freiestrasse 3                                     *
C *               CH-3012 Berne                                      *
C *                                                                  *
C *  Date.......: September 1992                                     *
C *  Revision...: -                                                  *
C *                                                                  *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Included in: DOSELE                                             *
C *               DOPELE                                             *
C *               DODELE                                             *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************

      DOUBLE PRECISION    F1, F2, P, D, SK1
      DOUBLE PRECISION    I5X, I5Y, XYZ, I6XY, I6Z, I7X, I7Y
      DOUBLE PRECISION    I8X, I8Z, I9Y, I9Z

      XYZ(D, F1, SK1) =
     .    NORM1 / SK1 * (SQRT2 * F1)
     .    + LDIST * D

      I5X(P, D, F1, F2, SK1) =
     .    NORM1 / SK1 * (SQRT3 * F1 - SQ1D5 * F2 +
     .    2.0D0 * SQ7D10 * P)
     .    + LDIST * D

      I5Y(P, D, F1, F2, SK1) =
     .    NORM1 / SK1 * (SQRT3 * F1 + SQ1D5 * F2 -
     .    2.0D0 * SQ7D10 * P)
     .    + LDIST * D

      I6XY(P, D, F1, SK1) =
     .    NORM2 / SK1 * (SQ3D5 * F1 - SQ7D30 * P)
     .    + LDIST * D

      I6Z(P, D, F1, SK1) =
     .    NORM2 / SK1 * (SQ9D10 * F1 + 2.0D0 * SQ7D30 * P)
     .    + LDIST * D

      I7X(P, D, F1, F2, SK1) =
     .    NORM1 / SK1 * (SQRT3 * F1 - SQ1D5 * F2 +
     .    2.0D0 * SQ7D10 * P)
     .    + LDIST * D

      I7Y(P, D, F1, F2, SK1) =
     .    NORM1 / SK1 * (-SQRT3 * F1 - SQ1D5 * F2 +
     .    2.0D0 * SQ7D10 * P)
     .    + LDIST * D

      I8X(P, D, F1, F2, SK1) =
     .    NORM2 / SK1 * (SQ1D2 * F1 - SQ3D10 * F2 +
     .    SQ7D10 * P)
     .    + LDIST * D

      I8Z(P, D, F1, SK1) =
     .    NORM2 / SK1 * (SQ4D5 * F1 + SQ7D10 * P)
     .    + LDIST * D

      I9Y(P, D, F1, F2, SK1) =
     .    NORM2 / SK1 * (-SQ1D2 * F1 - SQ3D10 * F2 +
     .    SQ7D10 * P)
     .    + LDIST * D

      I9Z(P, D, F1, SK1) =
     .    NORM2 / SK1 * (SQ4D5 * F1 + SQ7D10 * P)
     .    + LDIST * D
