C ********************************************************************
C * EHMACC - Extended Hueckel Molecular and Crystal Calculations     *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  GETLAT                                                          *
C *                                                                  *
C *  Routine of EHMACC                                               *
C *                                                                  *
C *  Usage......: Reads lattice constants for fractional coordinate  *
C *               input.                                             *
C *                                                                  *
C *  Author.....: Martin Braendle (mbs)                              *
C *  Date.......: 11.11.94                                           *
C *  Available..: Calzaferri group, Institute for Inorganic and Phy- *
C *               sical chemistry, Freiestr. 3, CH-3012 Berne        *
C *  Revision...: -                                                  *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Called from: PART1                                              *
C *                                                                  *
C *  Calls......: READL,READA                                        *
C *                                                                  *
C ********************************************************************

      SUBROUTINE GETLAT

      IMPLICIT DOUBLE PRECISION(A-H,O-Z)

      COMMON /IOUNIT/IIN,IOUT,ISTART(40)

      COMMON /KEYWRD/KEYWRD,SLINE
      CHARACTER KEYWRD*320,SLINE*80
       
      COMMON /LATCON/ALAT,BLAT,CLAT,ALPLAT,BETLAT,GAMLAT

      IF (INDEX(SLINE,'LATTICE') .NE. 0) THEN
        ALAT=1.0D0
        BLAT=1.0D0
        CLAT=1.0D0
        ALPLAT=90.0D0
        BETLAT=90.0D0
        GAMLAT=90.0D0
        IPOS=ISTART(2)
        IF (IPOS .LT. 81) THEN
          ALAT=READA(SLINE,IPOS,80)
          BLAT=ALAT
          CLAT=ALAT
        ENDIF
        IPOS=ISTART(3)
        IF (IPOS .LT. 81) THEN
          BLAT=READA(SLINE,IPOS,80)
          CLAT=BLAT
        ENDIF
        IPOS=ISTART(4)
        IF (IPOS .LT. 81) CLAT=READA(SLINE,IPOS,80)
        IPOS=ISTART(5)
        IF (IPOS .LT. 81) THEN
          ALPLAT=READA(SLINE,IPOS,80)
          BETLAT=ALPLAT
          GAMLAT=ALPLAT
        ENDIF
        IPOS=ISTART(6)
        IF (IPOS .LT. 81) THEN
          BETLAT=READA(SLINE,IPOS,80)
          GAMLAT=BETLAT
        ENDIF
        IPOS=ISTART(7)
        IF (IPOS .LT. 81) GAMLAT=READA(SLINE,IPOS,80)
        CALL READL
      ELSE
        SLINE='LATTICE constants are missing.' 
        CALL WRITEL(SLINE)
        CALL CLEXIT
      ENDIF
      RETURN
      END
