C ********************************************************************
C * EHMACC - Extended Hueckel Molecular and Crystal Calculations     *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  GETORB                                                          *
C *                                                                  *
C *  Routine of EHMACC                                               *
C *                                                                  *
C *  Usage......: Processes orbital name information.                *
C *                                                                  *
C *  Authors....: M.-H. Whangbo, Dept of Chem, North Carolina State  *
C *               University, Raleigh N.C.,                          *
C *               modified by M. Evain, Dept of Chemistry, North     *
C *               Carolina State University, Raleigh N.C.            *
C *  Date.......: 1981                                               *
C *  Revision...: Dec. 1987                                          *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Called from: SEARCH                                             *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************
 
      SUBROUTINE GETORB(ITD,ISD,IPD,IDD,IFD,IP,ID,IF,NN,TEXT)
 
      IMPLICIT DOUBLE PRECISION(A-H,O-Z)
 
      INCLUDE 'sizes'
 
      CHARACTER*10 TEXT(20)
      DIMENSION    IP(3),ID(5),IF(7)
 
      COMMON /IOUNIT/IIN,IOUT,ISTART(40)
 
      COMMON /KEYWRD/KEYWRD,SLINE
      CHARACTER KEYWRD*320,SLINE*80
 
      ITD=INDEX(SLINE,'T.')
      ISD=INDEX(SLINE,'S.')
      IPD=INDEX(SLINE,'P.')
      IP(1)=INDEX(SLINE,'PX')
      IP(2)=INDEX(SLINE,'PY')
      IP(3)=INDEX(SLINE,'PZ')
      IDD=INDEX(SLINE,'D.')
      ID(1)=INDEX(SLINE,'DX2-Y2')
      ID(2)=INDEX(SLINE,'DZ2')
      ID(3)=INDEX(SLINE,'DXY')
      ID(4)=INDEX(SLINE,'DXZ')
      ID(5)=INDEX(SLINE,'DYZ')
      IFD=INDEX(SLINE,'F.')
      IF(1)=INDEX(SLINE,'FZ3')
      IF(2)=INDEX(SLINE,'FXZ2')
      IF(3)=INDEX(SLINE,'FYZ2')
      IF(4)=INDEX(SLINE,'FXYZ')
      IF(5)=INDEX(SLINE,'FZ(X2-Y2)')
      IF(6)=INDEX(SLINE,'FX(X2-3Y2)')
      IF(7)=INDEX(SLINE,'FY(3X2-Y2)')
      NN=1
      IF (ITD .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='t'
      ENDIF
      IF (ISD .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='s'
      ENDIF
        IF (IPD .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='p'
      ENDIF
      IF (IP(1) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='px'
      ENDIF
      IF (IP(2) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='py'
      ENDIF
      IF (IP(3) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='pz'
      ENDIF
      IF (IDD .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='d'
      ENDIF
      IF (ID(1) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='dx2-y2'
      ENDIF
      IF (ID(2) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='dz2'
      ENDIF
      IF (ID(3) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='dxy'
      ENDIF
      IF (ID(4) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='dxz'
      ENDIF
      IF (ID(5) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='dyz'
      ENDIF
      IF (IFD .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='f'
      ENDIF
      IF (IF(1) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='fz3'
      ENDIF
      IF (IF(2) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='fxz2'
      ENDIF
      IF (IF(3) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='fyz2'
      ENDIF
      IF (IF(4) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='fxyz'
      ENDIF
      IF (IF(5) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='fz(x2-y2)'
      ENDIF
      IF (IF(6) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='fx(x2-3y2)'
      ENDIF
      IF (IF(7) .NE. 0) THEN
        NN=NN+1
        TEXT(NN)='fy(3x2-y2)'
      ENDIF
      NN=NN+1
      RETURN
      END
