C ********************************************************************
C * EHMACC - Extended Hueckel Molecular and Crystal Calculations     *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  OMATT2                                                          *
C *                                                                  *
C *  Routine of EHMACC                                               *
C *                                                                  *
C *  Usage......: Output of huckel and overlap matrices.             *
C *                                                                  *
C *  Authors....: M.-H. Whangbo, Dept of Chem, North Carolina State  *
C *               University, Raleigh N.C.,                          *
C *               modified by M. Evain, Dept of Chemistry, North     *
C *               Carolina State University, Raleigh N.C.            *
C *  Date.......: 1981                                               *
C *  Revision...: Dec. 1987, 06.05.92/mbs (Martin Braendle, c/o      *
C *               Calzaferri group, Inst. f. Inorg. and Phys. Chem., *
C *               Freiestr. 3, CH-3012 Berne)                        *
C *  Remarks....: Slight modification of COMMON blocks.              *
C *                                                                  *
C *  Called from: HMAT,SMAT,TEMPO                                    *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************

      SUBROUTINE OMATT2(X,NN,LBR,LER,LB,LE,IMAT1,IMAT2,MR,MC)

      IMPLICIT DOUBLE PRECISION(A-H,O-Z)

      INCLUDE 'sizes'

      DIMENSION X(NN,NN),IMAT1(NDIMMX),IMAT2(NDIMMX),IPRINT(10),NT(8)
      CHARACTER*10 TTEXT(8),TEXT,TA,TT

      COMMON /IOUNIT/IIN,IOUT,ISTART(40)
      COMMON /DELET/IND(NDIMMX),INDIM,IVAL,NORBE(NATMMX),NDEL
      COMMON /ATOM1/NS(NSYMMX,NAEQMX),NP(NSYMMX),ND(NSYMMX),NF(NSYMMX),
     .              INATOM,ISYM(NATMMX),NELEM
      COMMON /AOOUT1/INDTS(NDIMMX)

      COMMON /ATO/AC(NATMMX),SYMBOL(NSYMMX)
      CHARACTER AC*7,SYMBOL*2

      COMMON /AOOUT2/INDT(NDIMMX,2)
      CHARACTER INDT*10

      IFLAG=1
      ILO=LB

   10 ICO=0
      TT=' '
   20 IF ((ICO .GE. 8) .OR. (ILO .GT. LE)) GOTO 30
      IF (IMAT2(ILO) .EQ. 0) THEN
        ILO=ILO+1
        GOTO 20
      ENDIF
      ICO=ICO+1
      IPRINT(ICO)=ILO
      NT(ICO)=ILO-MC+1
      TA=INDT(ILO,1)
      IF (TA(1:1) .EQ. ' ') TA=TA(2:10)
      IF (TA .EQ. TT) THEN
        TTEXT(ICO)=' '
      ELSE
        TTEXT(ICO)=TA
        TT=TA
      ENDIF
      ILO=ILO+1
      GOTO 20
   30 IF (ILO .GT. LE) IFLAG=0
      IF (ICO .EQ. 0) GOTO 100
      WRITE(IOUT,40) (TTEXT(K),K=1,ICO)
   40 FORMAT(31X,8(2X,A10))
      WRITE(IOUT,40) (INDT(IPRINT(K),2),K=1,ICO)
      WRITE(IOUT,50) (NT(K),K=1,ICO)
   50 FORMAT(31X,8(I6,6X))

      TEXT=' '
      DO 90 I=LBR,LER
        IF (IMAT1(I) .EQ. 0) GOTO 90
        NC=I-MR+1
        IF (INDT(I,1) .EQ. TEXT) THEN
          WRITE(IOUT,60) INDT(I,2),NC,(X(I,IPRINT(K)),K=1,ICO)
   60     FORMAT(12X,A10,2X,I3,8(4X,F8.4))
        ELSE
          WRITE(IOUT,70)
   70     FORMAT(' ')
          WRITE(IOUT,80) (INDT(I,L),L=1,2),NC,(X(I,IPRINT(K)),K=1,ICO)
   80     FORMAT(2X,2A10,2X,I3,8(4X,F8.4))
        ENDIF
        TEXT=INDT(I,1)
   90 CONTINUE
      WRITE(IOUT,70)

      IF (IFLAG .EQ. 1) GOTO 10
  100 RETURN
      END
