C ********************************************************************
C * EHMACC - Extended Hueckel Molecular and Crystal Calculations     *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  PART2                                                           *
C *                                                                  *
C *  Routine of EHMACC                                               *
C *                                                                  *
C *  Usage......: s. title                                           *
C *                                                                  *
C *  Authors....: M.-H. Whangbo, Dept of Chem, North Carolina State  *
C *               University, Raleigh N.C.,                          *
C *               modified by M. Evain, Dept of Chemistry, North     *
C *               Carolina State University, Raleigh N.C.            *
C *  Date.......: 1981                                               *
C *  Revision...: Dec. 1987, 06.05.92/mbs, 07.07.94/mbs (Martin      *
C *               Braendle c/o Calzaferri group, Inst. f. Inorg. and *
C *               Phys. Chem., Freiestr. 3, CH-3012 Berne)           *
C *  Remarks....: Slight modifications of COMMON blocks.             *
C *               Loop for geometry variation.                       * 
C *                                                                  *
C *  Called from: EHMACC                                             *
C *                                                                  *
C *  Calls......: ARRAYS,ARRAYD,VARYGM                               *
C *                                                                  *
C ********************************************************************

      SUBROUTINE PART2 

      IMPLICIT DOUBLE PRECISION(A-H,O-Z)

      INCLUDE 'sizes'

      COMMON /ATOM1/NS(NSYMMX,NAEQMX),NP(NSYMMX),ND(NSYMMX),NF(NSYMMX),
     .              INATOM,ISYM(NATMMX),NELEM
      COMMON /DELET/IND(NDIMMX),INDIM,IVAL,NORBE(NATMMX),NDEL
      COMMON /IOUNIT/IIN,IOUT,ISTART(40)

      COMMON /KEYWRD/KEYWRD,SLINE
      CHARACTER KEYWRD*320,SLINE*80

      COMMON /VARGEO/VARINC(NVARMX),IVRLIN(NVARMX),ISTPMX(NVARMX),
     .               IVARTP(NVARMX),ISTEPS(NVARMX),IVARY,NVARY,
     .               NVARLN,NNCPL,LCOUPL(NVARMX+1)
      LOGICAL LCOUPL

C
C this part evaluates s integrals between various unit cells
C
   10 CALL ARRAYS(INATOM,INDIM)
C
C this part evaluates h integrals and terminates the calculation
C
      CALL ARRAYD
      IVARY=IVARY+1
      IF (IVARY .LE. NVARY) THEN
        CALL VARYGM
        REWIND IIN
   20   CALL READL
        IF (INDEX(SLINE,'KPIN') .EQ. 0) GOTO 20
      ENDIF
      IF (IVARY .LE. NVARY) GOTO 10 

      RETURN
      END
