C ********************************************************************
C * EHMACC - Extended Hueckel Molecular and Crystal Calculations     *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  SUPPR                                                           *
C *                                                                  *
C *  Routine of EHMACC                                               *
C *                                                                  *
C *  Usage......: Exchanges 2 bonds (keep the smallest one) if       *
C *               IDBOND>NMAX                                        *
C *                                                                  *
C *  Authors....: M.-H. Whangbo, Dept of Chem, North Carolina State  *
C *               University, Raleigh N.C.,                          *
C *               modified by M. Evain, Dept of Chemistry, North     *
C *               Carolina State University, Raleigh N.C.            *
C *  Date.......: 1981                                               *
C *  Revision...: Dec. 1987, 08.05.92/mbs (Martin Braendle c/o       *
C *               Calzaferri group, Inst. f. Inorg. and Phys. Chem., *
C *               Freiestr. 3, CH-3012 Berne)                        *
C *  Remarks....: Slight modificatio of COMMON blocks.               *
C *                                                                  *
C *  Called from: DISTC                                              *
C *                                                                  *
C *  Calls......: -                                                  *
C *                                                                  *
C ********************************************************************

      SUBROUTINE SUPPR(IDM,DDMAX)

      IMPLICIT DOUBLE PRECISION(A-H,O-Z)

      INCLUDE 'sizes'

      COMMON /BOND1/IDAT(NBONMX,2)
      CHARACTER*7 IDAT

      COMMON /BOND2/IDTR(NBONMX,3),DDX(NBONMX),IDBOND,INEXT(NBONMX),
     .              IFIRST,ITYPE(14)

      DDX(IDM)=DDX(IDBOND)
      IDAT(IDM,1)=IDAT(IDBOND,1)
      IDAT(IDM,2)=IDAT(IDBOND,2)
      IDTR(IDM,1)=IDTR(IDBOND,1)
      IDTR(IDM,2)=IDTR(IDBOND,2)
      IDTR(IDM,3)=IDTR(IDBOND,3)

      IDBOND=IDBOND-1

      DDMAX=0.0D0
      DO 10 I=1,IDBOND
        IF (DDX(I) .GT. DDMAX) THEN
          DDMAX=DDX(I)
          IDM=I
        ENDIF
   10 CONTINUE

      RETURN
      END
