C ********************************************************************
C * EHPC - Extended Hueckel properties calculations                  *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  EHPC                                                            *
C *                                                                  *
C *  Usage......: Program for extended Huckel property calculations  *
C *                                                                  *
C *  Authors....: M.-H. Whangbo, Dept of Chem, North Carolina State  *
C *               University, Raleigh N.C.,                          *
C *               modified by M. Evain, Dept of Chemistry, North     *
C *               Carolina State University, Raleigh N.C.            *
C *  Date.......: 1981                                               *
C *  Revision...: Dec. 1987                                          *
C *  Remarks....: File handling has to be adjusted for the different *
C *               operating systems. Look for OPEN statements.       *
C *                                                                  *
C *  Called from: -                                                  *
C *                                                                  *
C *  Calls......: GPOPT,PARRAY                                       *
C *                                                                  *
C ********************************************************************

      PROGRAM EHPC

      IMPLICIT DOUBLE PRECISION(A-H,O-Z)

      COMMON /IOUNIT/IIN,IOUT,ISTART(40)
      COMMON /TIME/XTIME

C      CALL LIB$INIT_TIMER ()
C      XTIME=0.0D0

      IIN=5
      IOUT=6
      OPEN(UNIT=8,FORM='formatted',FILE='ehpc.s08',STATUS='new')
C
C MS-DOS version: Add FILE='fort.1' to OPEN statement.
C VMS and AIX version: Remove FILE='fort.1' from OPEN statement.
C
      OPEN(UNIT=1,STATUS='old',FORM='formatted',FILE='fort.1')
C      OPEN(UNIT=1,STATUS='old',FORM='formatted')
C
C MS-DOS version: Uncomment the following OPEN statements.
C
      OPEN(UNIT=2,STATUS='old',FILE='fort.2',ERR=10)
10    OPEN(UNIT=3,STATUS='old',FILE='fort.3',ERR=20)
20    OPEN(UNIT=4,STATUS='old',FILE='fort.4',ERR=30)
30    OPEN(UNIT=5,STATUS='old',FILE='fort.5')
      OPEN(UNIT=6,STATUS='new',FILE='fort.6')
      OPEN(UNIT=7,STATUS='new',FILE='fort.7')

      WRITE(IOUT,40)
   40 FORMAT(//,' *************************************************',/,
     .          ' *                      EHPC                     *',/,
     .          ' *             Release September 1997            *',/,
     .          ' * --------------------------------------------- *',/,
     .          ' *    Extended Hueckel Properties Calculations   *',/,
     .          ' *            M.-H. Whangbo, M. Evain            *',/,
     .          ' *                                               *',/,
     .          ' *                 Extensions by                 *',/,
     .          ' *         M. Braendle and G. Calzaferri         *',/,
     .          ' *    Department of Chemistry and Biochemistry   *',/,
     .          ' *        University of Bern, Switzerland        *',/,
     .          ' *                                               *',/,
     .          ' *          (C) 1997 by Gion Calzaferri          *',/,
     .          ' *    EHPC comes with absolutely no warranty.    *',/,
     .          ' * This is free software and you are welcome to  *',/,
     .          ' *   redistribute it under certain conditions.   *',/,
     .          ' *  For details see GNU General Public License.  *',/,
     .          ' *************************************************',/,
     .2X)

      CALL GPOPT
      CALL PARRAY

C      MIN=0
C      CALL LIB$STAT_TIMER(2,ICPU)
C      SEC=ICPU*0.01-XTIME
C      IF (SEC .GE. 60.0D0) THEN
C        MIN=INT(SEC/60.0D0)
C        SEC=SEC-60.0D0*DBLE(MIN)
C      ENDIF

C      WRITE(IOUT,50) MIN,SEC
C   50 FORMAT(///,' CPU time (calculation) ',I5,' min.  ',F5.2,' sec.')

C      MIN=0
C      SEC=XTIME
C      IF (SEC .GE. 60.0D0) THEN
C        MIN=INT(SEC/60.0D0)
C        SEC=SEC-60.0D0*DBLE(MIN)
C      ENDIF
C
C      WRITE(IOUT,60) MIN,SEC
C   60 FORMAT(' CPU time (ordering) ',I5,' min.  ',F5.2,' sec.')
C
C      MIN2=0
C      CALL LIB$STAT_TIMER(3,IIO)
C      SEC2=IIO*0.01D0
C      IF (SEC2 .GE. 60.0) THEN
C        MIN2=INT(SEC2/60.0D0)
C        SEC2=SEC2-60.0D0*DBLE(MIN2)
C      ENDIF
C      WRITE(IOUT,70) MIN2,SEC2
C   70 FORMAT(' Buffered I/O count ',I5,' min.  ',F5.2,' sec.')
C
C      MIN3=0
C      CALL LIB$STAT_TIMER(4,IIO)
C      SEC3=IIO*0.01D0
C      IF (SEC3 .GE. 60.0D0) THEN
C        MIN3=INT(SEC3/60.0D0)
C        SEC3=SEC3-60.0D0*DBLE(MIN3)
C      ENDIF
C      WRITE(IOUT,80) MIN3,SEC3
C   80 FORMAT(' Direct I/O count ',I5,' min.  ',F5.2,' sec.')

      CALL CLEXIT
      END
