#!/bin/ksh
#
# @(#) ehpc V1.0 - submit an ehpc properties job to NQS
#
# Author  : Martin Braendle, Spiez (mbs)
# Date    : 29.10.93/mbs
# Revision: -
# Remarks : Parameters: $1  -  inputfilename, without extension
#                       $2  -  type of queue (slow,medium,fast
#                                             default: fast)
#------------------------------------------------------------------------------
#
filename=$1
callpath=$PWD
#
# check if file exists
#
if (test -r $filename.epi)
then
#
# determine batch queue
#
  if (test $2)
  then
    if (test $2="slow" -o $2="medium")
    then
      qtype=$2
    else
      qtype=fast
    fi
  else
    qtype=fast
  fi
#
# create a subdirectory where the Fortran-unit-files are separated
# from other properties-jobs.
#
  mkdir $filename
  mv $filename.epi $filename/$filename.epi
  echo $filename >$filename/inputfile
  if (test -r $filename.eh1)
  then
    mv $filename.eh1 $filename/fort.1
  fi
  if (test -r $filename.eh2)
  then
    mv $filename.eh2 $filename/fort.2
  fi
   if (test -r $filename.eh3)
  then
    mv $filename.eh3 $filename/fort.3
  fi
   if (test -r $filename.eh4)
  then
    mv $filename.eh4 $filename/fort.4
  fi
  cd $filename
  qsub -q $qtype -e $callpath/$filename.stderr -o $callpath/$filename.stdout $BANDDIR/ehpc_b 
else
  echo "Wrong filename: "$filename".epi."
fi
#(EOF) 
