C ********************************************************************
C * EHPC - Extended Hueckel properties calculations                  *
C *                                                                  *
C * Copyright (C) 1997 by Gion Calzaferri                            *
C *                                                                  *
C * This program is free software; you can redistribute it and/or    *
C * modify it under the terms of the GNU General Public License as   *
C * published by the Free Software Foundation; Version 2 of the      *
C * License.                                                         *
C *                                                                  *
C * This program is distributed in the hope that it will be useful,  *
C * but WITHOUT ANY WARRANTY; without even the implied warranty of   *
C * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU *
C * General Public License for more details.                         *
C *                                                                  *
C * You should have received a copy of the GNU General Public        *
C * License along with this program; if not, write to the Free       *
C * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,   *
C * MA 02111-1307 USA                                                *
C ********************************************************************
C ********************************************************************
C *                                                                  *
C *  GPROJ                                                           *
C *                                                                  *
C *  Routine of EHPC                                                 *
C *                                                                  *
C *  Usage......: Obtains information for AOPOP projections.         *
C *                                                                  *
C *  Authors....: M.-H. Whangbo, Dept of Chem, North Carolina State  *
C *               University, Raleigh N.C.,                          *
C *               modified by M. Evain, Dept of Chemistry, North     *
C *               Carolina State University, Raleigh N.C.            *
C *  Date.......: 1981                                               *
C *  Revision...: Dec. 1987, 12.06.92/mbs (Martin Braendle c/o       *
C *               Calzaferri group, Inst. f. Inorg. and Phys. Chem., *
C *               Freiestr. 3, CH-3012 Berne)                        *
C *  Remarks....: -                                                  *
C *                                                                  *
C *  Called from: PPART                                              *
C *                                                                  *
C *  Calls......: READA,WRITEL,SEARCH,READL                          *
C *                                                                  *
C ********************************************************************

      SUBROUTINE GPROJ(NDIM)

      IMPLICIT DOUBLE PRECISION(A-H,O-Z)

      INCLUDE 'sizes'

      CHARACTER*7  ELEM(NSYMMX)
      CHARACTER*10 TEXTF(20),TEX1,TEX2
      CHARACTER*80 LINE
      DIMENSION    ITEMP(NDIMMX)

      COMMON /ATO/AC(NATMMX),SYMBOL(NSYMMX)
      CHARACTER AC*7,SYMBOL*2

      COMMON /ATOM1/NSS(NSYMMX),NPP(NSYMMX),NDD(NSYMMX),NFF(NSYMMX),
     .              IATOM,ISYM(NATMMX),NELEM
      COMMON /AOPROJ/IPROJ(NDIMMX,NFMOMX),NDPR(NFMOMX),NPROJ
      COMMON /IOUNIT/IIN,IOUT,ISTART(40)

      COMMON /KEYWRD/KEYWRD,SLINE
      CHARACTER KEYWRD*320,SLINE*80

      COMMON /ORB1/INDT(NDIMMX,2)
      CHARACTER INDT*10

      COMMON /ORB2/ NATOM,IND(NDIMMX),NORBEF(NATMMX),NORBE(NATMMX),NDEL
      COMMON /TIT1/NCARD(MXCARD),NCARDF(MXCARD),NCARDB(MXCARD)

      COMMON /TIT2/TITL(MXCARD,MXTITL),TITLF(MXCARD,MXTITL),
     .             TITLB(MXCARD,MXTITL)
      CHARACTER TITL*80,TITLF*80,TITLB*80

      IATOM=NATOM
      NPROJ=0
      IF (INDEX(SLINE,'AOPROJ') .EQ. 0) THEN
        LINE='Cards AOPROJ expected.'
        CALL WRITEL(LINE)
        RETURN
      ENDIF
      WRITE(IOUT,10)
   10 FORMAT(' ')

   20 IF (INDEX(SLINE,'AOPROJ') .EQ. 0) GOTO 110
      WRITE(IOUT,10)
      NPROJ=NPROJ+1
      IF (NPROJ .GT. NFMOMX) THEN
        LINE='Number of projections limited.'
        CALL WRITEL(LINE)
      ENDIF
      DO 30 I=1,NDIM
        IPROJ(I,NPROJ)=0
   30 CONTINUE
   40 IF (INDEX(SLINE,'AOPROJ') .EQ. 0) GOTO 80
      NUMPRO=INT(READA(SLINE,6,80))
      IF (NUMPRO .NE. NPROJ) GOTO 80
      NCARD(NPROJ)=NCARD(NPROJ)+1
      TITL(NPROJ,NCARD(NPROJ))=SLINE(8:80)
      DO 50 I=1,NDIM
        ITEMP(I)=0
   50 CONTINUE
      CALL SEARCH(TEXTF,NN,ELEM,KK,NORBEF,IND,NORBE,ITEMP)
      DO 60 I=1,NDIM
        IF (IPROJ(I,NPROJ) .EQ. 0) IPROJ(I,NPROJ)=ITEMP(I)
   60 CONTINUE
      CALL READL
      TEXTF(1)=' AOPROJ  #'
      TEX1=' orbital : '
      TEX2=' element : '
      WRITE(IOUT,70) TEXTF(1),NPROJ,TEX2,(ELEM(L),L=1,KK),TEX1,
     .               (TEXTF(L),L=2,NN)
   70 FORMAT(1X,A10,I2,1X,120A)
      GOTO 40

   80 NDP=0
      IJK=0
      DO 90 I=1,NDIM
        IF (IPROJ(I,NPROJ) .EQ. 1) THEN
          IJK=IJK+1
          IPROJ(IJK,NPROJ)=I
          NDP=NDP+1
        ENDIF
   90 CONTINUE
      NDPR(NPROJ)=NDP
      WRITE(IOUT,100) NPROJ,NDPR(NPROJ)
  100 FORMAT(2X,'AOPROJ  #',I2,' : ',I3,' orbitals')
      IF (NDP .EQ. 0) THEN
        SLINE='No orbital!'
        CALL WRITEL(SLINE)
      ENDIF
      GOTO 20
  110 CONTINUE
      WRITE(IOUT,10)

      RETURN
      END
